Page MenuHomePhabricator

Polish CSS of the Forms (Morphology) Section
Closed, ResolvedPublic

Description

  • Forms section
    • Align with headline 'Forms'
    • Font size < headline
    • Form representation should not bold and also smaller font -size
    • Statements
      • Heading should be 'Statements about F1'
      • Smaller size and moved to right

Details

Related Gerrit Patches:
mediawiki/extensions/WikibaseLexeme : masterRename title Forms to Morphology
mediawiki/extensions/WikibaseLexeme : masterChange Form's statements header text
mediawiki/extensions/Wikibase : masterAdd method creating StatementGroupListView
mediawiki/extensions/WikibaseLexeme : masterRepresentation widget doesn't explode vertically when edited
mediawiki/extensions/WikibaseLexeme : masterRemove unused styles for nonexistent form representation widget
mediawiki/extensions/WikibaseLexeme : masterAlign form contents with headline 'Forms'

Related Objects

Event Timeline

Change 364690 had a related patch set uploaded (by Aleksey Bekh-Ivanov (WMDE); owner: Aleksey Bekh-Ivanov (WMDE)):
[mediawiki/extensions/WikibaseLexeme@master] Rename title Forms to Morphology

https://gerrit.wikimedia.org/r/364690

Change 364693 had a related patch set uploaded (by Aleksey Bekh-Ivanov (WMDE); owner: Aleksey Bekh-Ivanov (WMDE)):
[mediawiki/extensions/WikibaseLexeme@master] Align form contents with headline 'Morphology'

https://gerrit.wikimedia.org/r/364693

Change 364694 had a related patch set uploaded (by Aleksey Bekh-Ivanov (WMDE); owner: Aleksey Bekh-Ivanov (WMDE)):
[mediawiki/extensions/WikibaseLexeme@master] Remove unused styles for nonexistent form representation widget

https://gerrit.wikimedia.org/r/364694

Change 364723 had a related patch set uploaded (by Aleksey Bekh-Ivanov (WMDE); owner: Aleksey Bekh-Ivanov (WMDE)):
[mediawiki/extensions/WikibaseLexeme@master] Representation widget doesn't explode vertically

https://gerrit.wikimedia.org/r/364723

Please do not rename the Forms section to Morphology. That is a change that has more far-reaching consequences than just this heading. That's not happening without a discussion with me please.

My first suggestion was "Inflected Forms."

The reasoning being that "Forms" was too vague and could lead to mix ups like whether Color vs Colour are 2 different forms or whether they are alternate lemma for the same lexeme (which is what I understand to be the correct interpretation).

No need to have the discussion now, just wanted to let you know what the reasoning was.

Change 364767 had a related patch set uploaded (by Aleksey Bekh-Ivanov (WMDE); owner: Aleksey Bekh-Ivanov (WMDE)):
[mediawiki/extensions/Wikibase@master] Add method creating StatementGroupListView

https://gerrit.wikimedia.org/r/364767

Change 364768 had a related patch set uploaded (by Aleksey Bekh-Ivanov (WMDE); owner: Aleksey Bekh-Ivanov (WMDE)):
[mediawiki/extensions/WikibaseLexeme@master] Change Form's statements header text

https://gerrit.wikimedia.org/r/364768

Aleksey_WMDE moved this task from Doing to Review on the Wikidata-Former-Sprint-Board board.

Change 364693 merged by jenkins-bot:
[mediawiki/extensions/WikibaseLexeme@master] Align form contents with headline 'Forms'

https://gerrit.wikimedia.org/r/364693

Change 364694 merged by jenkins-bot:
[mediawiki/extensions/WikibaseLexeme@master] Remove unused styles for nonexistent form representation widget

https://gerrit.wikimedia.org/r/364694

Change 364723 merged by jenkins-bot:
[mediawiki/extensions/WikibaseLexeme@master] Representation widget doesn't explode vertically when edited

https://gerrit.wikimedia.org/r/364723

Change 364767 merged by jenkins-bot:
[mediawiki/extensions/Wikibase@master] Add method creating StatementGroupListView

https://gerrit.wikimedia.org/r/364767

WMDE-leszek removed Aleksey_WMDE as the assignee of this task.Jul 13 2017, 12:43 PM
WMDE-leszek moved this task from Review to Backlog on the Wikidata-Former-Sprint-Board board.
WMDE-leszek added a subscriber: WMDE-leszek.

All done except the section header. Moving back to Backlog until it is decided what the header should be.

Change 364768 merged by jenkins-bot:
[mediawiki/extensions/WikibaseLexeme@master] Change Form's statements header text

https://gerrit.wikimedia.org/r/364768

Aleksey_WMDE moved this task from Backlog to Done on the Wikidata-Former-Sprint-Board board.
Ladsgroup moved this task from incoming to in progress on the Wikidata board.Jul 20 2017, 9:27 AM

Change 364690 abandoned by Aleksey Bekh-Ivanov (WMDE):
Rename title Forms to Morphology

Reason:
Decided not to rename for now

https://gerrit.wikimedia.org/r/364690

Aleksey_WMDE closed this task as Resolved.Jul 25 2017, 10:22 AM
Aleksey_WMDE claimed this task.
Restricted Application added a subscriber: PokestarFan. · View Herald TranscriptJul 25 2017, 10:22 AM